// KeyStringDlg.h : header file
//

#if !defined(AFX_KEYSTRINGDLG_H__76A4AFC5_1649_11D2_8890_00609771532D__INCLUDED_)
#define AFX_KEYSTRINGDLG_H__76A4AFC5_1649_11D2_8890_00609771532D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CKeyStringDlg dialog

class CKeyStringDlg : public CDialog
{
// Construction
public:
	CKeyStringDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CKeyStringDlg)
	enum { IDD = IDD_KEYSTRING_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKeyStringDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON   m_hIcon;
  HICON   m_hFileIcon;
  HICON   m_hSaveIcon;
  CString m_szFileName;
  CString m_szLogFileName;

  // Generated message map functions
	//{{AFX_MSG(CKeyStringDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSearch();
	afx_msg void OnFileselect();
	afx_msg void OnUpdateFile();
	afx_msg void OnLogfileselect();
	afx_msg void OnUpdateLogfile();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KEYSTRINGDLG_H__76A4AFC5_1649_11D2_8890_00609771532D__INCLUDED_)
